### Hierarchy

- JsonRpc

## Index

### Properties

- messageId

### Methods

- isValidResponse
- toBatchPayload
- toPayload

## Properties

### Static messageId

messageId: number = 0

- Defined in core/requestManager/jsonRpc.ts:12

## Methods

### Static isValidResponse

- isValidResponse(response: any): boolean

- - Defined in core/requestManager/jsonRpc.ts:29

  #### Parameters

  - ##### response: any

  #### Returns boolean

### Static toBatchPayload

- toBatchPayload(messages: any[]): Payload[]

- - Defined in core/requestManager/jsonRpc.ts:44

  #### Parameters

  - ##### messages: any[]

  #### Returns Payload[]

### Static toPayload

- toPayload(method: any, params: any): Payload

- - Defined in core/requestManager/jsonRpc.ts:14

  #### Parameters

  - ##### method: any

  - ##### params: any

  #### Returns Payload

Generated using TypeDoc